stages:
  - build

variables:
  DOCKER_TLS_CERTDIR: "/certs"  

build:
  image: docker:24.0.5
  stage: build
  only:
    - main
  services:
    - docker:24.0.5-dind
  script:
    - echo "$CI_REGISTRY_PASSWORD" | docker login registry.remo-liebmann.de -u reguser --password-stdin
    - docker build -t registry.remo-liebmann.de/hallofbrawl-homepage:latest .
    - docker push registry.remo-liebmann.de/hallofbrawl-homepage:latest
